# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Fcntl.pm) perl(Template/Parser.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-Jemplate 
Version:    0.262
Release:    alt2_4
# lib/Jemplate.pm -> GPL+ or Artistic
# lib/Jemplate/Directive.pm -> GPL+ or Artistic
# lib/Jemplate/Parser.pm -> GPL+ or Artistic
# lib/Jemplate/Runtime.pm -> GPL+ or Artistic
# lib/Jemplate/Runtime/Compact.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Perl
Summary:    JavaScript Templating with Template Toolkit 
Source:     http://search.cpan.org/CPAN/authors/id/F/FR/FREW/Jemplate-%{version}.tar.gz
#Patch0:     Jemplate.pm-0.23_1.patch 
#Patch0:     Jemplate-0.261-fix-quoted-test.patch
Url:        http://search.cpan.org/dist/Jemplate
BuildArch:  noarch

BuildRequires: perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires: perl(base.pm)
BuildRequires: perl(File/Find/Rule.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(Template.pm)
# Tests
BuildRequires: perl(constant.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Filter/Util/Call.pm)
BuildRequires: perl(HTTP/Daemon.pm)
BuildRequires: perl(HTTP/Status.pm)
BuildRequires: perl(HTTP/Response.pm)
BuildRequires: perl(IO/All.pm)
BuildRequires: perl(JSON.pm)
BuildRequires: perl(LWP/MediaTypes.pm)
BuildRequires: perl(Path/Class.pm)
BuildRequires: perl(Pod/Usage.pm)
BuildRequires: perl(Test/Base.pm)
BuildRequires: perl(Test/Base/Filter.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(YAML.pm)
# Optional tests
#BuildRequires: perl(JavaScript::V8x::TestMoreish)

Requires:   perl(File/Find/Rule.pm) >= 0.30
Source44: import.info

%description
Jemplate is a templating framework for JavaScript that is built over
Perl's Template Toolkit (TT2). Jemplate parses TT2 templates using the
TT2 Perl framework, but with a twist. Instead of compiling the templates
into Perl code, it compiles them into JavaScript. Jemplate then provides
a JavaScript run-time module for processing the template code. Presto, we
have full featured JavaScript templating language!



%prep
%setup -q -n Jemplate-%{version}
#%%patch0 -p1
# Fix bug RT#75769
rm bin/README
sed -i -e '/bin\/README/d' MANIFEST

cat doc/text/Jemplate.text | iconv -f iso-8859-1 -t utf-8 > foo
cat foo > doc/text/Jemplate.text
rm foo

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README doc/ examples/ 
%{perl_vendor_privlib}/*
%{_bindir}/jemplate
%{_mandir}/man1/jemplate.1*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.262-alt2_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.262-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.262-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.262-alt1_1
- fc import

